# dokku-ansible-deploy

## Overview

Deploy applications on Dokku using Ansible.

When we package and deploy applications with Dokku, we still have a number of
manual tasks to complete before the application is production ready. Running
Dokku host side commands such as `dokku letsencrypt`, creating and linking
database stores and even going ahead and wiring up monitoring and alerting
infrastructure.

This plugin automates what would be otherwise manual steps. Once you `git push`
your application deployment, this plugin consumes configuration specified by in
the `deploy.d` directory to carry out the end-to-end production deployment
steps.

More documentation coming soon TM.

## Requirements

- dokku 0.19.13+
- Debian based system (uses `apt` package manager for installing dependencies)

## Installation

```bash
$ dokku plugin:install https://git.autonomic.zone/autonomic-cooperative/dokku-ansible-deploy.git
```
